diff -urb forum_install/install_data/docs/adm/compact.php forum_install.new/install_data/docs/adm/compact.php
--- forum_install/install_data/docs/adm/compact.php	Thu Feb 21 08:38:27 2002
+++ forum_install.new/install_data/docs/adm/compact.php	Mon Apr 22 17:46:00 2002
@@ -38,10 +38,11 @@
 		maintenance_status('Undergoing maintenance, please come back later.', 'N');
 	}
 	
-	echo "<br>PLEASE WAIT WHILE FORUM IS BEING COMPACTED, THIS MAY TAKE A WHILE<br>\n";
+	echo "<br>Please wait while forum is being compacted.<br>This may take a while depending on the size of your forum.<br>\n";
 	flush();
 	
 	/* Normal Messages */
+	echo "<br>Compacting normal messages...\n";
 	DB_LOCK('fud_msg+, fud_thread+');
 	$r = Q("SELECT * FROM fud_msg ORDER BY thread_id, id ASC");
 	start_bench('a');
@@ -76,6 +77,7 @@
 	DB_UNLOCK();
 	
 	/* Private Messages */
+	echo "<br>Compacting private messages...\n";
 	DB_LOCK('fud_pmsg+');
 	$off=$len=0;
 	$fp = fopen($GLOBALS['MSG_STORE_DIR'].'private_tmp', 'wb');
@@ -98,9 +100,14 @@
 	
 	DB_UNLOCK();
 	
+	echo "<br>Done.\n";
+	
 	if( $GLOBALS['FORUM_ENABLED'] == 'Y' ) {
 		echo '<br>Re-enabling the forum.<br>';
 		maintenance_status($GLOBALS['DISABLED_REASON'], 'Y');
+	} else {
+		echo '<br><font size=+1 color="red">Your forum is currently disabled, to re-enable it go to the <a href="admglobal.php?'.$_RSID.'">Global Settings Manager</a> and re-enable it.</font>';
 	}
+
  readfile('admclose.html');
 ?>
\ No newline at end of file
